summaryrefslogtreecommitdiffstatshomepage
path: root/3rdparty/zstd/tests/cli-tests/compression/gzip-compat.sh
diff options
context:
space:
mode:
Diffstat (limited to '3rdparty/zstd/tests/cli-tests/compression/gzip-compat.sh')
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/gzip-compat.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/3rdparty/zstd/tests/cli-tests/compression/gzip-compat.sh b/3rdparty/zstd/tests/cli-tests/compression/gzip-compat.sh
new file mode 100755
index 00000000000..b628b35a0c7
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/gzip-compat.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+# Uncomment the set -v line for debugging
+# set -v
+
+# Test gzip specific compression option
+if $(command -v $ZSTD_SYMLINK_DIR/gzip); then
+ $ZSTD_SYMLINK_DIR/gzip --fast file ; $ZSTD_SYMLINK_DIR/gzip -d file.gz
+ $ZSTD_SYMLINK_DIR/gzip --best file ; $ZSTD_SYMLINK_DIR/gzip -d file.gz
+
+ # Test -n / --no-name: do not embed original filename in archive
+ $ZSTD_SYMLINK_DIR/gzip -n file ; grep -qv file file.gz ; $ZSTD_SYMLINK_DIR/gzip -d file.gz
+ $ZSTD_SYMLINK_DIR/gzip --no-name file ; grep -qv file file.gz ; $ZSTD_SYMLINK_DIR/gzip -d file.gz
+ $ZSTD_SYMLINK_DIR/gzip -c --no-name file | grep -qv file
+fi